<?php
                        
require_once ('../inventario/conexion.php');

$objconexion = new conexion();

 $sentenciaselect = "SELECT 
    historial_portatil.serial_portatil,
    historial_portatil.ip,
    estado_equipo.nombre_estadoequipo,
    marca_portatil.nombre_marcaportatil,
    memoria.nombre_memoria,
    procesador.nombre_procesador,
    sistema_operativo.nombre_sistemaoperativo,
    disco_duro.nombre_discoduro, 
    historial_portatil.nombre_equipo,
     historial_portatil.fecha_historial,
     historial_portatil.observacion
   
    from historial_portatil,estado_equipo,marca_portatil,memoria,procesador,sistema_operativo,disco_duro
    where historial_portatil.estado_portatil=estado_equipo.id_estadoequipo AND historial_portatil.marca_portatil=marca_portatil.id_marcaportatil AND historial_portatil.memoria=memoria.id_memoria AND  historial_portatil.procesador=procesador.id_procesador AND  historial_portatil.sistema_operativo=sistema_operativo.id_sistemaoperativo AND  historial_portatil.disco_duro=disco_duro.id_discoduro 
and historial_portatil.serial_portatil= (case when NOT EXISTS(select historial_portatil.serial_portatil from historial_portatil where historial_portatil.serial_portatil ='". $_GET['var1']."') then historial_portatil.serial_portatil
else '". $_GET['var1']."' end)";




  $arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);
  
function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
    echo "</tr>";
}
}


?>